oracle.pgx.api

## Class EdgeCollection

- java.lang.Object
- - oracle.pgx.api.Destroyable
  - - oracle.pgx.api.PgxManagedObject
    - - oracle.pgx.api.PgxCollection<PgxEdge,Long>
      - - oracle.pgx.api.EdgeCollection

- All Implemented Interfaces:
    AutoCloseable, Iterable<PgxEdge>
  Direct Known Subclasses:
    EdgeSequence, EdgeSet

      public abstract class EdgeCollection
      extends PgxCollection<PgxEdge,Long>

  A collection of edges.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAll(Long... ids)`
    `void` | `removeAll(Long... ids)`
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.PgxCollection

      `addAll, addAll, addAllAsync, addAllAsync, clear, clearAsync, clone, clone, cloneAsync, cloneAsync, getCollectionType, getElementType, getGraph, getName, iterator, iteratorAsync, removeAll, removeAllAsync, size, sizeAsync`

    - ### Methods inherited from class oracle.pgx.api.PgxManagedObject

      `equals, hashCode`

    - ### Methods inherited from class oracle.pgx.api.Destroyable

      `close, destroy, destroyAsync`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addAll

          public void addAll(Long... ids)
                      throws ExecutionException,
                             InterruptedException

      Specified by:
        `addAll` in class `PgxCollection<PgxEdge,Long>`
      Throws:
        `ExecutionException`
        `InterruptedException`

    - #### removeAll

          public void removeAll(Long... ids)
                         throws ExecutionException,
                                InterruptedException

      Specified by:
        `removeAll` in class `PgxCollection<PgxEdge,Long>`
      Throws:
        `ExecutionException`
        `InterruptedException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PgxCollection<PgxEdge,Long>`

Copyright © 2015. All rights reserved.